Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693178 - [upgrade] Clusteroperator openshift-cloud-credential-operator should be renamed to "cloud-credential" after upgrade
Summary: [upgrade] Clusteroperator openshift-cloud-credential-operator should be renam...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Devan Goodwin
QA Contact: Oleg Nesterov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-27 09:50 UTC by sunzhaohua
Modified: 2019-04-10 21:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-10 21:23:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description sunzhaohua 2019-03-27 09:50:35 UTC
Description of problem:
Clusteroperator openshift-cloud-credential-operator should be renamed to "cloud-credential" after upgrade. The change is made by https://bugzilla.redhat.com/show_bug.cgi?id=1689442.

Version-Release number of selected component (if applicable):
clusterversion:4.0.0-0.nightly-2019-03-25-180911

How reproducible:
Always

Steps to Reproduce:
1. Install a cluster 4.0 with 4.0.0-0.nightly-2019-03-25-180911 version
2. Upgrade the cluster to 4.0.0-0.nightly-2019-03-26-215932
3. Check clusteroperator 

Actual results:
openshift-cloud-credential-operator still exists.

Before upgrade:
$ oc get clusteroperator
NAME                                  VERSION                             AVAILABLE   PROGRESSING   FAILING   SINCE
authentication                        4.0.0-0.nightly-2019-03-25-180911   True        False         False     18h
cluster-autoscaler                    4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
console                               4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
dns                                   4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
image-registry                        4.0.0-0.nightly-2019-03-25-180911   True        False         False     5h56m
ingress                               4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
kube-apiserver                        4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
kube-controller-manager               4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
kube-scheduler                        4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
machine-api                           4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
machine-config                        4.0.0-0.nightly-2019-03-25-180911   True        False         False     13h
marketplace                           4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
monitoring                            4.0.0-0.nightly-2019-03-25-180911   True        False         False     4m40s
network                               4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
node-tuning                           4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
openshift-apiserver                   4.0.0-0.nightly-2019-03-25-180911   True        False         False     8h
openshift-cloud-credential-operator   4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
openshift-controller-manager          4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
openshift-samples                     4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
operator-lifecycle-manager            4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
service-ca                            4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
service-catalog-apiserver             4.0.0-0.nightly-2019-03-25-180911   False       False         False     12s
service-catalog-controller-manager    4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h
storage                               4.0.0-0.nightly-2019-03-25-180911   True        False         False     19h


After upgrade
$ oc get clusteroperator
NAME                                  VERSION                             AVAILABLE   PROGRESSING   FAILING   SINCE
authentication                        4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h8m
cloud-credential                      4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h33m
cluster-autoscaler                    4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
console                               4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
dns                                   4.0.0-0.nightly-2019-03-26-215932   True        False         False     26h
image-registry                        4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
ingress                               4.0.0-0.nightly-2019-03-26-215932   True        False         False     26h
kube-apiserver                        4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h22m
kube-controller-manager               4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h33m
kube-scheduler                        4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h23m
machine-api                           4.0.0-0.nightly-2019-03-26-215932   True        False         False     26h
machine-config                        4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h21m
marketplace                           4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
monitoring                            4.0.0-0.nightly-2019-03-26-215932   True        False         False     14h
network                               4.0.0-0.nightly-2019-03-26-215932   True        False         False     26h
node-tuning                           4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
openshift-apiserver                   4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h16m
openshift-cloud-credential-operator   4.0.0-0.nightly-2019-03-25-180911   True        False         False     26h
openshift-controller-manager          4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h16m
openshift-samples                     4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h8m
operator-lifecycle-manager            4.0.0-0.nightly-2019-03-26-215932   True        False         False     26h
service-ca                            4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h24m
service-catalog-apiserver             4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
service-catalog-controller-manager    4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m
storage                               4.0.0-0.nightly-2019-03-26-215932   True        False         False     5h9m


Expected results:
After upgrade openshift-cloud-credential-operator should be removed.

Additional info:

Comment 1 Abhinav Dahiya 2019-03-27 11:41:33 UTC
The pruning must be taken care by cloud-credentials-operator.

Comment 2 Oleg Nesterov 2019-03-27 19:28:21 UTC
I've installed the 4.0.0-0.nightly-2019-03-25-180911 and don't observe openshift-cloud-credential-operator , but I see cloud-credential 

[cloud-user@preserve-olnester-workstation beta3testing]$ oc get clusteroperator | grep cloud-credential
cloud-credential                     4.0.0-0.alpha-2019-03-27-132317   True        False         False     15m

It is correct according the change https://bugzilla.redhat.com/show_bug.cgi?id=1689442.


@sunzhaohua, do you have any idea how to reproduce it? Could you please check this issue again?

Comment 6 Alex Crawford 2019-04-10 21:23:21 UTC
Devan, that is correct (further, we are only supporting upgrades from Beta 3 to a small subset of future releases). The orphaned ClusterOperator won't be present in supported deployments.


Note You need to log in before you can comment on or make changes to this bug.